(function () {

// AGEN.useGamSystem (EA,);

    var myUkGameSystem = AGEN.newGameSystem("Epic UK", "Brumbaer's Epic UK list Generator", function () {
        //   AGEN.useGamSystem(EA, function () {
        AGEN.newArmyBook ("Space Marines", 1, "#C5DFFA", "#223355", "#F0F8FF", "#C5DFFA", function () {

            AGEN.addNotes ("<p class='title'>1.0.1 AND THEY SHALL KNOW NO FEAR</p><p>Space Marines are renowned for their tenacity and bravery. This is represented by the following rules:</p><p>It takes 2 Blast markers to suppress a Space Marine unit or kill a unit in a broken formation (ignore any leftover Blast markers). Space Marine formations are only broken if they have 2 Blast markers per unit in the formation. </p>" +
                "<p>Space Marine formations count as having half their number of blast markers in assault resolution (rounding down to a minimum of one blast marker). Halve the number of extra hits suffered by a Space Marine formation that loses an assault, rounding down in favour of the Space Marines. </p>" +
                "<p>When a broken Space Marine formation rallies, it receives a number of Blast markers equal to the number of units, rather than half this number. Space Marines with the Leader special ability remove 2 Blast markers instead of 1. </p>" +
                "<p class='title'>1.0.2 SPACE MARINES TRANSPORTS</p><p>The Space Marines are a highly mobile army. Because of this, the points cost of a detachment usually includes enough Rhino transport vehicles to transport it and any upgrades that may have been taken. Determine the number of Rhinos needed after all upgrades have been purchased. The number of Rhinos will always be the minimum number needed to carry the formation; you cannot take extras along to cover any losses. Note that many formations don't receive Rhinos, usually because they can't fit into them. Detachments that come with Rhinos will be noted as having 'plus transport' in the unit's section of the army lists below. </p><p>Also note that you don't have to take Rhinos if you don't want to. If you'd rather field formations on foot instead, so they can act as garrisons for example, or be transported in a Thunderhawk Gunship, then you may do so. </p><p>In addition, you may choose to replace a detachment's Rhinos with Drop Pods. If you do this then the detachment will enter play in a Drop Pod using the rules for Planetfall (see section 4.4 of the Epic: Armageddon main rule book). Note that if you choose to do this you will also require at least one Space Marine Strike cruiser or Battle Barge to deploy the Drop Pods from. If the detachment contains units that can't be deployed in Drop Pods this option can not be chosen.</p><p>Choosing transport options is part of the army selection process. Portions of a formation may be left behind during deployment (to garrison, for example) and the decision to exchange options, even free ones, must be determined when the army list is determined.</p>" +
                "<p>*Please note: Chapter-specific transport vehicles carry their particular Chapter's troop types and therefore are often renamed from the standard transport vehicle, e.g. Rhino, becomes Dark Angels Rhino in the Dark Angels Chapter list and Drop Pod, becomes Space Wolves Drop pod in that list and so on.</p>"
            );

            AGEN.newArmyList("Codex Astartes", "EAUKCA", 100, function () {

                var sniper = AGEN.newDatasheet ("sniper", 1075, ["Sniper Scout", "INF", "15cm", "5+", "4+", "5+", "Heavy Bolter", "30cm", "AP5+",  ], " Scout, Infiltrator, Sniper");
                var tdreadnought =  AGEN.newDatasheet ( "tdreadnought",  1140,  ["Tactical Dreadnought", "AV", "15cm", "4+", "4+", "4+", "Power Fist", "(base contact)", "(Assault Weapons), MW, EA(+1)", "", "", "", "", "", "", "Assault Cannon", "30cm", "AP5+/AT5+",], " Walker.");
                var hdreadnought =  AGEN.newDatasheet ( "hdreadnought",  1141,  ["Hellfire Dreadnought", "AV", "15cm", "4+", "4+", "4+", "Missile Launcher", "45cm", "AP5+/AT6+", "", "", "", "", "", "", "Twin Lascannon", "45cm", "AT4+",], " Walker.");

                var captain =  AGEN.newDatasheet ( "captain",  1000,  ["Captain", "CH", "n/a", "n/a", "n/a", "n/a", "Power Weapon", "(base contact)", "(Assault Weapons), MW, EA(+1)",  ], " Invulnerable Save, Leader, Commander");
                var chaplain =  AGEN.newDatasheet ( "chaplain",  1010,  ["Chaplain", "CH", "n/a", "n/a", "n/a", "n/a", "Power Weapon", "(base contact)", "(Assault Weapons), MW, EA(+1)",  ],  " Invulnerable Save, Leader, Inspiring");
                var librarian =  AGEN.newDatasheet ( "librarian",  1020,  ["Librarian", "CH", "n/a", "n/a", "n/a", "n/a", "Power Weapon", "(base contact)", "(Assault Weapons), MW, EA(+1)", "", "", "", "", "", "", "Smite", "(15cm)", "(Small Arms), EA(+1), MW",  ], " Invulnerable Save, Leader");
                var supremecommander =  AGEN.newDatasheet ( "supremecommander",  1030,  ["Supreme Commander", "CH", "n/a", "n/a", "n/a", "n/a", "Power Weapon", "(base contact)", "(Assault Weapons), MW, EA(+1)",  ], " Invulnerable Save, Supreme Commander");
                var assault =  AGEN.newDatasheet ( "assault",  1040,  ["Assault", "INF", "30cm", "4+", "3+", "5+", "Chainswords", "(base contact)", "(Assault Weapons)", "", "", "", "", "", "", "Bolt pistols", "(15cm)", "(Small Arms)",  ], " Jump Packs");
                var bike =  AGEN.newDatasheet ( "bike",  1050,  ["Bike", "INF", "35cm", "4+", "3+", "4+", "Chainswords", "(base contact)", "(Assault Weapons)", "", "", "", "", "", "", "Bolters", "(15cm)", "(Small Arms)",  ], " Mounted");
                var devastator = AGEN.newDatasheet ( "devastator", 1060,["Devastator", "INF", "15cm", "4+", "5+", "3+", "2x Missile Launcher", "45cm", "AP5+/AT6+",  ]);
                var scout =  AGEN.newDatasheet ( "scout",  1070,  ["Scout", "INF", "15cm", "5+", "4+", "5+", "Heavy Bolter", "30cm", "AP5+",  ], " Scout, Infiltrator");
                var tactical = AGEN.newDatasheet ( "tactical", 1080,["Tactical", "INF", "15cm", "4+", "4+", "4+", "Bolters", "(15cm)", "(Small Arms)", "", "", "", "", "", "", "Missile Launcher", "45cm", "AP5+/AT6+",  ]);
                var terminator =  AGEN.newDatasheet ( "terminator",  1090,  ["Terminator", "INF", "15cm", "4+", "3+", "3+", "Power Weapons", "(base contact)", "(Assault Weapons), MW, EA(+1)", "", "", "", "", "", "", "Storm Bolters", "(15cm)", "(Small Arms)", "", "", "", "", "", "", "2x Assault Cannon", "30cm", "AP5+/AT5+",  ], " Reinforced Armour, Teleport, Thick Rear Armour");
                var attackbike = AGEN.newDatasheet ( "attackbike", 1100,["Attack Bike", "LV", "35cm", "4+", "5+", "4+", "Heavy Bolter", "30cm", "AP5+",  ]);
                var landspeeder =  AGEN.newDatasheet ( "landspeeder",  1110,  ["Land Speeder", "LV", "35cm", "4+", "6+", "5+", "Multi-melta", "(15cm)", "(Small Arms), MW", "", "", "", "", "", "", "", "15cm", "MW5+",  ], " Skimmer, Scout");
                var landspeedertornado =  AGEN.newDatasheet ( "landspeedertornado",  1120,  ["Land Speeder Tornado", "LV", "35cm", "4+", "6+", "5+", "Assault Cannon", "30cm", "AP5+/AT5+", "", "", "", "", "", "", "Heavy Bolter", "30cm", "AP5+",  ], " Skimmer, Scout");
                var landspeedertyphoon =  AGEN.newDatasheet ( "landspeedertyphoon",  1130,  ["Land Speeder Typhoon", "LV", "35cm", "4+", "6+", "5+", "Twin Typhoon Missile Launcher", "45cm", "AP3+/AT5+", "", "", "", "", "", "", "Heavy Bolter", "30cm", "AP5+",  ], " Skimmer, Scout");
                var dreadnought =  AGEN.newDatasheet ( "dreadnought",  1140,  ["Dreadnought", "AV", "15cm", "4+", "4+", "4+", "Missile Launcher", "45cm", "AP5+/AT6+", "", "", "", "", "", "", "Twin Lascannon OR", "45cm", "AT4+", "", "", "", "", "", "", "Power Fist", "(base contact)", "(Assault Weapons), MW, EA(+1)", "", "", "", "", "", "", "Assault Cannon", "30cm", "AP5+/AT5+",  ], " Walker. A Dreadnought is armed with a Missile Launcher and Twin Lascannon (Hellfire) OR a Power Fist and Assault Cannon (Tactical), not both – select one option before the game.");
                var hunter = AGEN.newDatasheet ( "hunter", 1150,["Hunter", "AV", "30cm", "5+", "6+", "6+", "Hunter-Killer", "60cm", "AT4+/AA4+",  ]);
                var landraider =  AGEN.newDatasheet ( "landraider",  1160,  ["Land Raider", "AV", "25cm", "4+", "6+", "4+", "Twin Heavy Bolter", "30cm", "AP4+", "", "", "", "", "", "", "2x Twin Lascannon", "45cm", "AT4+",  ], " Reinforced Armour, Thick Rear Armour, Transport: (may carry 1 Terminator unit OR 2 of the following units: Tactical, Devastator)");
                var predatorannihilator = AGEN.newDatasheet ( "predatorannihilator", 1170,["Predator Annihilator", "AV", "30cm", "4+", "6+", "5+", "2x Lascannon", "45cm", "AT5+", "", "", "", "", "", "", "Twin Lascannon", "45cm", "AT4+",  ]);
                var predatordestructor = AGEN.newDatasheet ( "predatordestructor", 1180,["Predator Destructor", "AV", "30cm", "4+", "6+", "4+", "2x Heavy Bolter", "30cm", "AP5+", "", "", "", "", "", "", "Autocannon", "45cm", "AP5+/AT6+",  ]);
                var razorback =  AGEN.newDatasheet ( "razorback",  1190,  ["Razorback", "AV", "30cm", "5+", "6+", "5+", "Twin Heavy Bolter OR", "30cm", "AP4+", "", "", "", "", "", "", "Twin Lascannon", "45cm", "AT4+",  ], " Transport (may carry 1 of the following units: Tactical, Devastator & Scout) A Razorback is armed with either a Twin Heavy Bolter OR a Twin Lascannon, not both – select one option before the game.");
                var razorbackAT =  AGEN.newDatasheet ( "razorbackAT",  1190,  ["Razorback AT", "AV", "30cm", "5+", "6+", "5+", "Twin Lascannon", "45cm", "AT4+",  ], " Transport (may carry 1 of the following units: Tactical, Devastator & Scout) A Razorback is armed with either a Twin Heavy Bolter OR a Twin Lascannon, not both – select one option before the game.");
                var razorbackAP =  AGEN.newDatasheet ( "razorbackAP",  1190,  ["Razorback AP", "AV", "30cm", "5+", "6+", "5+", "Twin Heavy Bolter", "30cm", "AP4+", ], " Transport (may carry 1 of the following units: Tactical, Devastator & Scout) A Razorback is armed with either a Twin Heavy Bolter OR a Twin Lascannon, not both – select one option before the game.");
                var rhino =  AGEN.newDatasheet ( "rhino",  1200,  ["Rhino", "AV", "30cm", "5+", "6+", "6+", "Storm Bolter", "(15cm)", "(Small Arms)",  ], " Transport: (May carry 2 of the following units: Tactical, Devastator and Scout)");
                var vindicator =  AGEN.newDatasheet ( "vindicator",  1210,  ["Vindicator", "AV", "25cm", "4+", "6+", "4+", "Demolisher", "30cm", "AP3+/AT4+, Ignore Cover",  ], " Walker");
                var whirlwind = AGEN.newDatasheet ( "whirlwind", 1220,["Whirlwind", "AV", "30cm", "5+", "6+", "5+", "Whirlwind", "45cm", "1BP, Indirect Fire",  ]);
                var droppod =  AGEN.newDatasheet ( "droppod",  1230,  ["Drop Pod", "Special", "Immobile", "5+", "n/a", "n/a", "Deathwind", "15cm", "AP5+/AT5+",  ], " Planetfall, Transport: (may carry 1 formation that includes only Tactical, Devastator and Dreadnought units). Deathwind: After the drop pod lands, its Deathwind attacks all enemy units within 15cm. Each enemy formation attacked receives a Blast marker for coming under fire, and an extra Blast marker for each casualty. Then any troops carried in the drop pod must disembark within 5cm of the drop pod or within 5cmof another unit from the same formation that has already landed, so long as all units are placed within 15cm of the drop pod. Drop pods may not be used to claim crossfire.");
                var reavertitan =  AGEN.newDatasheet ( "reavertitan",  1240,  ["Reaver Titan", "WE", "20cm", "4+", "3+", "3+", "2x Turbolaser Destructor", "60cm", "4x AP5+/AT3+, Fwd", "", "", "", "", "", "", "Rocket Launcher", "60cm", "3BP,FxF",  ], " DC6, 4 Void Shield, Fearless, Reinforced Armour, Walker May step over units and impassable or dangerous terrain that is lower than the Titan's knees and up to 2cm wide. Critical Hit Effect: Roll a D6 in the end phase of every turn. 1: Reactor explodes - Destroyed, 2-3: an extra point DC, 4-6: Reactor repaired. If destroyed any units within 5cms will be hit on a roll of 5+.");
                var warhoundtitan =  AGEN.newDatasheet ( "warhoundtitan",  1250,  ["Warhound Titan", "WE", "30cm", "5+", "4+", "4+", "Vulcan Mega-Bolter", "45cm", "4x AP3+/AT5+, Fwd", "", "", "", "", "", "", "Plasma Blastgun", "45cm", "2x MW2+, Slow-Firing, Fwd",  ], " DC3, 2 Void Shields, Fearless, Reinforced Armour, Walker May step over units and impassable or dangerous terrain that is lower than the Titan's knees and up to 2cm wide. Critical Hit Effect: Move it D6cm in a random direction. If this move takes the Warhound into impassable terrain or another unit it can't move over then it stops immediately and is destroyed. Any units moved or contected will take a hit on a D6 roll of 6+.");
                var warlordtitan =  AGEN.newDatasheet ( "warlordtitan",  1260,  ["Warlord Titan", "WE", "15cm", "4+", "2+", "3+", "2x Turbolaser Destructor", "60cm", "4x AP5+/AT3+, Fwd", "", "", "", "", "", "", "Gatling Blaster", "60cm", "4x AP4+/AT4+, Fwd", "", "", "", "", "", "", "Volcano Cannon", "90cm", "MW2+, TK(D3), Fwd",  ], " DC8, 6 Void Shields, Reinforced Armour, Thick Rear Armour, Fearless, Walker. May step over units and impassable or dangerous terrain that is lower than the Titan's knees and up to 2cm wide. Critical Hit Effect: Roll a D6 in the end every turn. 1: Reactor explodes - Destroyed, 2-3: an extra point DC, 4-6: Reactor repaired. If destroyed any units within 5cms will be hit on a roll of 4+.");
                var landingcraft =  AGEN.newDatasheet ( "landingcraft",  1270,  ["Landing Craft", "AC/WE", "Bomber", "4+", "5+", "3+", "Storm Bolters", "(15cm)", "(Small Arms)", "", "", "", "", "", "", "3x Twin Heavy Bolter", "15cm", "AP4+/AA5+", "", "", "", "", "", "", "2x Twin Lascannon", "45cm", "AT4+",  ], " DC4, Planetfall, Fearless, Reinforced Armour, Transport: (May carry 12 Space Marine infantry units, Attack Bikes and Dreadnoughts. Terminators and Dreadnoughts take up 2 spaces each. In addition, the Landing Craft can carry 4 vehicles based on the Land Raider or 6 based on the Rhino, or one of the following combinations: 3 Land Raiders and 1 Rhino, 2 Land Raiders and 3 Rhinos, or 1 Land Raider and 4 Rhinos) Critical Hit Effect: The Landing Craft's magazine explodes, destroying the drop ship and anybody on board. Any units within 5cm of the Landing Craft suffer one hit.");
                var thunderhawkgunship =  AGEN.newDatasheet ( "thunderhawkgunship",  1280,  ["Thunderhawk Gunship", "AC/WE", "Bomber", "4+", "6+", "4+", "Twin Heavy Bolter", "15cm", "AP4+/AA5+, RF", "", "", "", "", "", "", "Twin Heavy Bolter", "15cm", "AP4+/AA5+, LF", "", "", "", "", "", "", "2x Twin Heavy Bolter", "30cm", "AP4+/AA5+, FxF", "", "", "", "", "", "", "Battle Cannon", "75cm", "AP4+/AT4+, FxF",  ], " DC2, Planetfall, Reinforced Armour, Transport: (May carry 8 of the following units: Tactical, Assault, Devastator, Scout, Bike, Attack Bike, Terminator and Dreadnought. Terminators and Dreadnoughts take up 2 spaces each.) Critical Hit Effect: The Thunderhawk's control surfaces are damaged. The pilot loses control and the Thunderhawk crashes to the ground, killing all on board.");
                var thunderboltfighterbomber = AGEN.newDatasheet ( "thunderboltfighter-bomber", 1290,["Thunderbolt Fighter-Bomber", "AC", "Fighter-Bomber", "6+", "n/a", "n/a", "Stormbolters", "15cm", "AP4+/AA5+, FxF", "", "", "", "", "", "", "Multilaser", "30cm", "AP5+/AT6+/AA5+, FxF", "", "", "", "", "", "", "Underwing Rockets", "30cm", "AT4+, FxF",  ]);
                var marauderbomber = AGEN.newDatasheet ( "marauderbomber", 1300,["Marauder Bomber", "AC", "Bomber", "4+", "n/a", "n/a", "2x Twin Heavy Bolter", "15cm", "AA5+", "", "", "", "", "", "", "Bomb Racks", "15cm", "3BP,FxF", "", "", "", "", "", "", "Twin Lascannon", "45cm", "AT4+/AA4+, FxF",  ]);
                var battlebarge =  AGEN.newDatasheet ( "battlebarge",  1310,  ["Battle Barge", "SC", "n/a", "n/a", "n/a", "n/a", "Orbital Bombardment", "n/a", "14BP, MW",  ], " Transport: (May carry 60 of the following units: Space Marine Tactical, Assault, Devastator, Scout, Bike, Terminator or Dreadnought units; plus 60 of the following units: Rhinos, Land Raiders, Razorbacks, Hunters, Whirlwinds, Predators or Vindicators; plus 9 Thunderhawks and enough Drop Pods or Landing Craft to carry any other units on board) Slow and steady: may not be used on the first two turns of a battle unless the scenario specifically says otherwise.");
                var strikecruiser =  AGEN.newDatasheet ( "strikecruiser",  1320,  ["Strike Cruiser", "SC", "n/a", "n/a", "n/a", "n/a", "Orbital Bombardment", "n/a", "5BP,MW",  ], " Transport: (May carry 20 of the following units: Space Marine Tactical, Assault, Devastator, Scout, Bike, Terminator or Dreadnought units; plus 20 of the following units: Rhinos, Land Raiders, Razorbacks, Hunters, Whirlwinds, Predators or Vindicators; plus 6 Thunderhawks and enough Drop Pods or Landing Craft to carry any other units on board)");

                AGEN.preNotes("<p>Codex Astartes Space Marine armies have a Strategy rating of 5. All Space Marine and Titan Legion formations have an initiative rating of 1+. Imperial Navy aircraft formations have an initiative rating of 2+.</p>");

                var  commanderUpgrade = function () {

                    AGEN.newChoice(0, 1, [
                        AGEN.newUnit(supremecommander, 100, 0),
                        AGEN.newUnit(captain, 50, 0),
                        AGEN.newUnit(chaplain, 50, 0),
                        AGEN.newUnit(librarian, 50, 0),
                    ]);
                }

                var dreadnoughtUpgrade = function () {

                    AGEN.newStandsChoice(0, 2, [
                        AGEN.newUnit(tdreadnought, 50, 0, 0, 2),
                        AGEN.newUnit(hdreadnought, 50, 0, 0, 2)
                    ]);
                }

                AGEN.newChoice(0, 1, [
                    supremecommander
                ]);

                AGEN.newErrorCheck(function () {
                    var gruppe1 = AGEN.pointsInArmyFor("Detachments");
                    var gruppe2 = AGEN.pointsInArmyFor([
                        "Titan Legion",
                        "Imperial Navy Aircraft"
                    ]);
                    return (2 * gruppe2 > gruppe1) ? "Titan Legion and Navy exceed their points limit of " + (gruppe1 / 2) + " points" : "";
                });

                AGEN.newCategory("Detachments", function() {
                    AGEN.newFormation("Tactical Detachment", 300, function() {
                        commanderUpgrade();
                        AGEN.newUnit(tactical, 6);
                        dreadnoughtUpgrade();


                        AGEN.newExclusiveChoice(
                            [
                                AGEN.newUnit(vindicator, 50, 0, 0, 2),
                                AGEN.newUnit(hunter, 75, 0),
                                AGEN.newStandsChoice(0, 6, [
                                    AGEN.newUnit(razorbackAP, 25, 0, 0, 6),
                                    AGEN.newUnit(razorbackAT, 25, 0, 0, 6),
                                ]),
                                AGEN.newUnit(rhino, 0, 0, function() {
                                    AGEN.computeStands(function() {
                                        return Math.ceil( (6 - AGEN.standsInUnitsWithDatasheet(razorbackAP) - AGEN.standsInUnitsWithDatasheet(razorbackAT)) / 2);

                                    });
                                })
                            ],
                            [
                                AGEN.newUnit(droppod, 0, 0)
                            ]
                        );
                    });

                    AGEN.newFormation("Assault Detachment", 175, function() {
                        commanderUpgrade();
                        AGEN.newUnit(assault, 4);
                        AGEN.newUnit(vindicator, 50, 0, 0, 2);
                    });

                    AGEN.newFormation("Devastator Detachment", 250, function() {
                        commanderUpgrade();
                        AGEN.newUnit(devastator, 4);
                        dreadnoughtUpgrade();

                        AGEN.newExclusiveChoice(
                            [
                                AGEN.newUnit(vindicator, 50, 0, 0, 2),
                                AGEN.newUnit(hunter, 75, 0),
                                AGEN.newUnit(landraider, 75, 0, 0, 4),
                                AGEN.newStandsChoice(0, 4, [
                                    AGEN.newUnit(razorbackAP, 25, 0, 0, 4),
                                    AGEN.newUnit(razorbackAT, 25, 0, 0, 4),
                                ]),
                                AGEN.newUnit(rhino, 0, 0, function() {
                                    AGEN.computeStands(function() {
                                        return Math.ceil( (4 - AGEN.standsInUnitsWithDatasheet(razorbackAP) - AGEN.standsInUnitsWithDatasheet(razorbackAT)
                                        - 2 * AGEN.standsInUnitsWithDatasheet(landraider)) / 2);
                                    });
                                })
                            ],
                            [
                                AGEN.newUnit(droppod, 0, 0)
                            ]
                        );

                        AGEN.newErrorCheck (function () {
                            var n = AGEN.standsInUnitsWithDatasheet(razorbackAP) + AGEN.standsInUnitsWithDatasheet(razorbackAT);
                            return (n > 0 && n + 2 * AGEN.standsInUnitsWithDatasheet(landraider) > 4) ? "Formation has too many Razorbacks" : "";
                        });
                    });

                    AGEN.newFormation("Terminator Detachment", 350, function() {
                        commanderUpgrade();
                        AGEN.newUnit(terminator, 0, 4);
                        dreadnoughtUpgrade();
                        AGEN.newUnit(vindicator, 50, 0, 0, 2);
                        AGEN.newUnit(landraider, 75, 0, 0, 4);
                    });

                    AGEN.newFormation("Scout Detachment", 150, function() {
                        commanderUpgrade();
                        AGEN.newChoice (1, 1, [
                            AGEN.newUnit(scout, 0, 1, 0, 1, 4),
                            AGEN.newUnit(sniper, 12.5, 0, 0, 1, 4),
                        ]);

                        AGEN.newExclusiveChoice(
                            [
                                AGEN.newStandsChoice(0, 4, [
                                    AGEN.newUnit(razorbackAP, 25, 0, 0, 4),
                                    AGEN.newUnit(razorbackAT, 25, 0, 0, 4),
                                ]),
                                AGEN.newUnit(rhino, 0, 0, function() {
                                    AGEN.computeStands(function() {
                                        return Math.ceil( (4 - AGEN.standsInUnitsWithDatasheet(razorbackAT) - AGEN.standsInUnitsWithDatasheet(razorbackAP)) / 2);
                                    });
                                })
                            ],
                            [
                                AGEN.newUnit(droppod, 0, 0)
                            ]
                        );
                    });

                    AGEN.newFormation("Bike Detachment", 200, function() {

                        commanderUpgrade();
                        AGEN.newStandsChoice(5, 5, [
                            AGEN.newUnit(bike, 0, 5, 0, 5),
                            AGEN.newUnit(attackbike, 0, 0, 0, 5)
                        ]);

                    });

                    AGEN.newFormation("Land Speeder Detachment", 200, function() {
                        commanderUpgrade();
                        AGEN.newStandsChoice(5, 5, [
                            AGEN.newUnit(landspeeder, 0, 5, 0, 5),
                            AGEN.newUnit(landspeedertornado, 0, 0, 0, 5),
                            AGEN.newUnit(landspeedertyphoon, 10, 0, 0, 5)
                        ]);
                    });

                    AGEN.newFormation("Land Raider Detachment", 350, function() {
                        commanderUpgrade();
                        AGEN.newUnit(landraider, 0, 4);
                        AGEN.newUnit(vindicator, 50, 0, 0, 2);
                        AGEN.newUnit(hunter, 75, 0, 0, 1);
                    });

                    AGEN.newFormation("Predator Detachment", 225, function() {

                        commanderUpgrade();
                        AGEN.newStandsChoice(4, 4, [
                            AGEN.newUnit(predatorannihilator, 12.5, 0, 0, 2, 2),
                            AGEN.newUnit(predatordestructor, 0, 2, 0, 2, 2)
                        ]);
                        AGEN.newUnit(vindicator, 50, 0, 0, 2);
                        AGEN.newUnit(hunter, 75, 0, 0, 1);
                    });

                    AGEN.newFormation("Vindicator Detachment", 225, function() {
                        commanderUpgrade();
                        AGEN.newUnit(vindicator, 0, 4);
                        AGEN.newUnit(hunter, 75, 0, 0, 1);

                    });

                    AGEN.newFormation("Whirlwind Detachment", 300, function() {
                        commanderUpgrade();
                        AGEN.newUnit(whirlwind, 0, 4);
                        AGEN.newUnit(hunter, 75, 0, 0, 1);


                    });
                    AGEN.newFormation("Thunderhawk", 200, function() {
                        AGEN.newUnit(thunderhawkgunship, 0, 1);
                    });

                    AGEN.newFormation("Landing Craft", 350, function() {
                        AGEN.newUnit(landingcraft, 0, 1);
                    });

                    AGEN.newFormation("Strike Cruiser", 200, 0, 1, function() {
                        AGEN.newChoice(1, 1, [
                            AGEN.newUnit(strikecruiser, 0, 1, 0, 1),
                            AGEN.newUnit(battlebarge, 150, 0, 0, 1)
                        ]);
                    });

                });


                AGEN.newCategory("Titan Legion", function() {
                    AGEN.newFormation("Warlord Titan", 850, function() {
                        AGEN.newUnit(warlordtitan, 1);
                    });

                    AGEN.newFormation("Reaver Titan", 650, function() {
                        AGEN.newUnit(reavertitan, 1);
                    });

                    AGEN.newFormation("Warhound Titan", 275, function() {
                        AGEN.newUnit(warhoundtitan, 1);
                    });

                    AGEN.newFormation("Warhound Titan Pack", 500, function() {
                        AGEN.newUnit(warhoundtitan, 2);
                    });
                });

                AGEN.newCategory("Imperial Navy Aircraft", function () {
                    AGEN.newFormation("Thunderbolt Squadron", 150, function() {
                        AGEN.newUnit(thunderboltfighterbomber, 2);
                    });

                    AGEN.newFormation("Marauder Squadron", 250, function() {
                        AGEN.newUnit(marauderbomber, 2);
                    });
                });

            });
        });
    });




})();